Bug 462678 - Applications does grab without doing ungrab, locking the display
Applications does grab without doing ungrab, locking the display
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openmotif (Show other bugs)
5.2
All Linux
medium Severity medium
: beta
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 04:44 EDT by Göran Uddeborg
Modified: 2010-10-23 00:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program to trigger the bug (3.24 KB, text/plain)
2008-09-18 04:44 EDT, Göran Uddeborg
no flags Details

  None (edit)
Description Göran Uddeborg 2008-09-18 04:44:12 EDT
Created attachment 317049 [details]
Test program to trigger the bug

Description of problem:
There is a bug in OpenMotif regarding handling of Grab/Ungrab events that have been queued while the application is busy doing something else.  The bug is that OpenMotif currently will make the Grab event succeed (by resetting the time to current time if first call fails), while it will allow the Ungrab event to fail; the result is that the application wrongly ends up in a Grab state.

Version-Release number of selected component (if applicable):
openmotif-2.3.0-0.5.el5

How reproducible:
Every time

Steps to Reproduce:
1. Compile the attached test program: cc motifhang.c -o motifhang -lXm
2. Run it: ./motifhang
3. Press the File->Delay menu entry
4. Within 5 seconds, press the File menu button twice (or any EVEN number of times)
5. After the 5 seconds have passed, press the Click button

Actual results:
The display is now effectively locked.  The cursor is in the menu mode.

(Kids, if you try this at home, make sure you have the AllowClosedownGrabs and/or AllowDeactivateGrabs options activated in your X server first. :-)

Expected results:
Nothing special should happen.

Additional info:
This is recently fixed in upstreams: http://bugs.motifzone.net/show_bug.cgi?id=1328  (The motifzone bugzilla does not seem to be in the menu for external bug references.)  What we need is that fix applied to the RHEL package.
Comment 1 Thomas Woerner 2008-09-23 11:45:52 EDT
There will be an OpenMotif rebase to 2.3.1 for EL-5.3. The 2.3.1 version already contains the fix.
Comment 2 Phil Knirsch 2008-09-24 07:58:04 EDT
See comment #1, proposing for RHEL-5.3 with exception and granting Devel ACK.

Thanks,

Read ya, Phil
Comment 12 errata-xmlrpc 2009-01-20 17:17:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0247.html

Note You need to log in before you can comment on or make changes to this bug.